org.apache.ignite.internal.processors.query.schema.message

## Class SchemaOperationStatusMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.message.SchemaOperationStatusMessage

All Implemented Interfaces:
  Serializable, Message

    public class SchemaOperationStatusMessage
    extends Object
    implements Message

Schema operation status message.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SchemaOperationStatusMessage()` Default constructor.
`SchemaOperationStatusMessage(UUID opId, byte[] errBytes)` Constructor.

### Method Summary

Methods
`short` `directType()` Gets message type.
`byte[]` `errorBytes()`
`byte` `fieldsCount()` Gets fields count.
`void` `onAckReceived()` Method called when ack message received.
`UUID` `operationId()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`UUID` `senderNodeId()`
`void` `senderNodeId(UUID sndNodeId)`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaOperationStatusMessage

    public SchemaOperationStatusMessage()

Default constructor.

#### SchemaOperationStatusMessage

    public SchemaOperationStatusMessage(UUID opId,
                                byte[] errBytes)

Constructor.

Parameters:
  `opId` - Operation ID.
  `errBytes` - Error bytes.

### Method Detail

#### operationId

    public UUID operationId()

Returns:
  Operation ID.

#### errorBytes

    @Nullable
    public byte[] errorBytes()

Returns:
  Error bytes.

#### senderNodeId

    public UUID senderNodeId()

Returns:
  Sender node ID.

#### senderNodeId

    public void senderNodeId(UUID sndNodeId)

Parameters:
  `sndNodeId` - Sender node ID.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017